const express = require("express");
const path = require("path")
const router = express.Router();

router.get("/", async (req, res) => {
  res.json({ msg: "upload route" });
})

router.post("/", async (req, res) => {
  let myFile = req.files.myFile22;

  if (myFile.size <= 1024 * 1024 * 2) {
    let exts_ar = [".png", ".jpg", ".jpeg", ".svg", ".gif"];
    let extFile = path.extname(myFile.name)
    if (exts_ar.includes(extFile)) {
      myFile.mv("public/" + myFile.name, (err) => {
        if (err) { return res.status(401).json({ msg: "error", err }) }
        res.json({ msg: "file upload" });
      })
    }
    else{
      res.status(400).json({ msg: "File must be image , jpg , png..." });
    }
  }
  else {
    res.status(400).json({ msg: "File too big, max 2 mb!" });
  }
  console.log(req.files)

})


module.exports = router;